Create a new custom subtype for a account. Requires agency or account admin role.

http
POST https://services.leadconnectorhq.com/conversations/preferences/custom-subtypes

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Body

NameTypeRequiredExampleDescription
namestringYesNewsletter SubscriptionName of the custom subtype (max 100 characters)
descriptionstringNoWeekly newsletter subscription preferencesDescription of the custom subtype (max 100 characters)
channelstringYesemailCommunication channel Possible values: 'email', 'sms'
languagestringYesenLanguage code

Responses

200 - Successful response
201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/conversations/preferences/custom-subtypes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Newsletter Subscription",
  "description": "Weekly newsletter subscription preferences",
  "channel": "email",
  "language": "en"
}'

Last updated October 26, 2026

Was this page helpful?